<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <SlpContainer variant="charcoal-75" class="wrapper">
    <div class="featured-content">
      <div
        v-for="card in data.cards"
        :key="card.header"
        class="featured-content__card"
      >
        <div class="featured-content__text">
          <SlpIcon
            v-if="card.icon"
            class="slp-mb-16 icon"
            :name="card.icon"
            :variant="card.icon.variant || 'marketing'"
            :alt="card.icon.alt"
            size="md"
          />
          <SlpTypography variant="heading5-bold" tag="h3" class="slp-mb-8">
            {{ card.header }}</SlpTypography
          >
          <SlpTypography variant="body2" tag="p" class="slp-mb-46 description">
            {{ card.description }}
          </SlpTypography>
        </div>
        <SlpButton variant="tertiary" class="featured-content__link">
          <SlpTypography variant="body1-bold">{{
            card.link.text
          }}</SlpTypography>
          <SlpIcon
            class="learn-more__icon"
            name="chevron-lg-right"
            variant="product"
            alt="Chevron Right Icon"
          />
        </SlpButton>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.wrapper {
  @media (min-width: 1920px) {
    background: url(/nuxt-images/solutions/infinity-icon-cropped.svg) right 0/93%,
      linear-gradient(to bottom, #ffffff 0% 50%, #f6f3fe 50% 100%);
    background-repeat: no-repeat;
  }
  @media (min-width: $breakpoint-xl) and (max-width: 1920px) {
    background: url(/nuxt-images/solutions/infinity-icon-cropped.svg) bottom
        101% right 102%/2000px,
      linear-gradient(to bottom, #ffffff 0% 50%, #f6f3fe 50% 100%);
    background-repeat: no-repeat;
  }

  @media (max-width: $breakpoint-lg) {
    background: #f6f3fe;
  }
}

.featured-content {
  display: grid;
  grid-template-columns: 1fr;
  gap: 30px;
  padding: 80px 16px 96px 16px;

  @media (min-width: $breakpoint-lg) {
    grid-template-columns: 1fr 1fr 1fr;
  }
  &__card {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 40px;
    margin: 0 auto;
    width: 100%;
    isolation: isolate;
    background: linear-gradient(
      141.57deg,
      #ffffff 0.86%,
      rgba(255, 255, 255, 0) 99.96%
    );
  }
  &__text {
    flex-basis: 100%;
    .icon {
      width: 24px;
      height: 24px;
    }
  }
  &__link {
    color: $color-text-link-100;
    padding-left: 0;
    margin-top: 24px;
    &:hover {
      text-decoration-color: $color-text-link-100;
    }
  }
}
</style>
